wijzigen dirk
 
SELECT TABLENAME
FROM dbc.tables
WHERE tablename = 'ASSUR_EVT_STATUS_HIST'
AND databasename = '%%ENV%%_EDW1_ATO' ;
  
.if activitycount = 0 then .goto ASSUR_EVT_STATUS_HIST
  	
RENAME TABLE %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST TO %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS__DRP_XXXXXXXX;
		
	
.label ASSUR_EVT_STATUS_HIST
-- Creation of table ASSUR_EVT_STATUS_HIST in database EDW1_ATO
CREATE  TABLE %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST 
(
ASSUR_EVT_ID  DECIMAL(18,0) NOT NULL  ,
ASSUR_EVT_STATUS_CD  VARCHAR(100) NOT NULL  ,
ASSUR_EVT_STATUS_START_TS  TIMESTAMP(3) NOT NULL  ,
ASSUR_EVT_STATUS_END_TS  TIMESTAMP(3)  ,
TRANSACT_SEQ_NUM  DECIMAL(18,0)  ,
CREATED_BY_JOBEX_ID  VARCHAR(20) NOT NULL  ,
LAST_UPDATED_BY_JOBEX_ID  VARCHAR(20) NOT NULL  ,
PCC_JOB_ID  VARCHAR(20) NOT NULL  
) UNIQUE PRIMARY INDEX (ASSUR_EVT_ID,ASSUR_EVT_STATUS_CD,ASSUR_EVT_STATUS_START_TS) ;
	
COMMENT ON TABLE %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST IS 'Security=Normal;TYPE=EDW;ViewName=E_AT_AESH_ASSUR_EVT_STATUS_HIS;Acronym=AESH;LookupTable=ASSV_LCK;Subtype=HistorySRC';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST.ASSUR_EVT_ID IS 'PrimaryKey=yes;ForeignKey=P0_EDW1_ATO.ASSUR_EVT.ASSUR_EVT_ID';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST.ASSUR_EVT_STATUS_CD IS 'PrimaryKey=yes';
COMMENT ON COLUMN %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST.ASSUR_EVT_STATUS_START_TS IS 'PrimaryKey=yes';
 -- Creation of technical view for ASSUR_EVT_STATUS_HIST in database EDW1_ATO
REPLACE VIEW %%ENV%%_TEC_ETL_ETLV1.E_AT_AESH_ASSUR_EVT_STATUS_HIS AS
SELECT 
ASSUR_EVT_ID,
ASSUR_EVT_STATUS_CD,
ASSUR_EVT_STATUS_START_TS,
ASSUR_EVT_STATUS_END_TS,
TRANSACT_SEQ_NUM,
CREATED_BY_JOBEX_ID,
LAST_UPDATED_BY_JOBEX_ID,
PCC_JOB_ID 
FROM
%%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST;
REPLACE VIEW %%ENV%%_EDV1_ATO.ASSUR_EVT_STATUS_HIST AS LOCK ROW ACCESS SELECT * FROM %%ENV%%_EDW1_ATO.ASSUR_EVT_STATUS_HIST;
  
.label END_SCRIPT
